//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Drawing;
using System.Collections;
using System.Collections.Specialized;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using CommunityServer;
using CommunityServer.Components;
using System.ComponentModel;
using System.IO;

namespace CommunityServer.Controls
{
	// *********************************************************************
	//  Banner
	//
	/// <summary>
	/// This server control is used to display the common banner for all pages.
	/// </summary>
	// ***********************************************************************/
    public class Banner : TemplatedWebControl
    {
        #region Member Vars

        CSContext csContext = CSContext.Current;

        #endregion

        protected override void OnInit(EventArgs e) 
        {
            if (SkinName == null)                
                ExternalSkinFileName = "Skin-Banner.ascx";
            else 
                ExternalSkinFileName = SkinName;
			
            base.OnInit(e);
        }
		
        protected override void OnLoad(EventArgs e) 
        {
            if (!Page.IsPostBack)
                DataBind();

            base.OnLoad(e);
        }

        #region DataBind

        public override void DataBind() 
        {
            base.DataBind();
            
            // Bind data
            //
        }
		
        #endregion		
		
        #region Skin
                
        protected override void AttachChildControls() 
        {
            // Bind controls
            //
			
            InitializeChildControls();
        }

        private void InitializeChildControls() 
        {
		
        }
		        
        #endregion
    }
}
